%define name	daCode
%define version 1.2.0
%define release 1mdk
%define rc_name	%{name}-%{version}

%define apacheroot	/var/www
%define oldapacheroot	/home/httpd

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}

Summary: 	An application to create web-site a la LinuxFR or /.
URL: 		http://www.dacode.org
Source: 	http://www.dacode.org/%{rc_name}.tar.bz2
License: 	GPL
Group: 		System/Servers
Requires:	webserver, mysqlserver, mod_php, php-mysql
BuildArchitectures: noarch
Buildroot: 	%{_tmppath}/%{name}-%{version}-build

%description
The functionalities of daCode are:
 - complete news system
 - possibility to comment on news and to reply to comments
 - scoring of comments and selection by score
 - theme switching
 - moderation system on news and comments
 - filtering of news by topic
 - ...

%prep
%setup -q -n %{rc_name}

%build
#find . -type 'd' -name 'CVS' | xargs rm -fr

%install
mkdir -p $RPM_BUILD_ROOT%{_prefix}
mkdir -p $RPM_BUILD_ROOT%{_var}/www/html/daCode
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
%{__cp} -r %{_builddir}/%{rc_name}/src/htdocs $RPM_BUILD_ROOT%{_var}/www/html/daCode
%{__cp} -r %{_builddir}/%{rc_name}/src/phplib $RPM_BUILD_ROOT%{_var}/www/html/daCode
%{__cp}    %{_builddir}/%{rc_name}/sql/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

#%post
#echo "see in %_docdir/INSTALL to install it.."

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL LICENSE README doc TODO
/var/www/html/daCode/*
%{_datadir}/%{name}-%{version}/*

%changelog
* Mon Jul 23 2001 Yves Duret <yduret@mandrakesoft.com> 1.2.0-1mdk
- version 1.2.0

* Thu Jul 17 2001 Yves Duret <yduret@mandrakesoft.com> 1.2.0-0.rc3.2mdk
- fix typo in spec file

* Thu Jul 12 2001 Yves Duret <yduret@mandrakesoft.com> 1.2.0-0.rc3.1mdk
- 1.2.0 Release Canditate 3

* Fri Jun 22 2001 Yves Duret <yduret@mandrakesoft.com> 1.2.0-0.rc1.1mdk
- 1.2.0 rc1
- corrected requires tag

* Sun Mar 18 2001 Yves Duret <yduret@mandrakesoft.com> 1.0-1mdk
- version 1.0 aka "Champagne !"
- P|-|34r _dA_ L|nUxfR3nChp4gE

* Sun Jan 21 2001 Yves Duret <yduret@mandrakesoft.com> 0.9.1-1mdk
- initial spec file
